/**
 * Karte für Magische Informatik
 * 
 * @author (Ulrich Kiesmüller) 
 * @version (1.3)
 */
public class Karte
{
    // Variablen
    private String farbe;
    private String wert;
    private Karte next;

    /**
     * Konstruktor - Kartenfarbe und Kartenwert sind jeweils als Zeichenkette anzugeben
     */    
    public Karte(String f, String w)
    {
        // Initialisierung - eine einzelne Karte zeigt als nÃ¤chste Karte erst einmal auf sich selbst
        farbe = f;
        wert = w;
        next = this;
    }

    /**
     * Methoden zum Auslesen der Variablenwerte, Setzen des Nachfolgers und Anzeigen der Variablenwerte
     */
    public String gibFarbe()
    {
        return farbe;
    }
    
    public String gibWert()
    {
        return wert;
    }
    
    public Karte gibNext()
    {
        return next;
    }
    
    public void setzeNext(Karte k)
    {
        next = k;
    }
    
    public void zeigen()
    {
        System.out.print(farbe + " " +  wert);
    }
    
}
